Page tree

Operating systemSupported version for 64-bit environments only
CentOS
  • 6.X
  • 7.X

To use a Linux-based Armor Anywhere agent, you must have Python 2.7 installed.

Red Hat Enterprise Linux (RHEL)

  • 6.X
  • 7.X

To use a Linux-based Armor Anywhere agent, you must have Python 2.7 installed.

Ubuntu
  • 14.04 LTS
  • 16.04
  • 18.04

To use a Linux-based Armor Anywhere agent, you must have Python 2.7 installed.

Amazon Linux
  • 2015.03
  • 2015.09
  • 2016.03
  • 2016.09
  • 2017.03
  • 2017.09
  • 2018.03
  • Amazon Linux 2

To use a Linux-based Armor Anywhere agent, you must have Python 2.7 installed.

Oracle Linux
  • 6.X
  • 7.X

To use a Linux-based Armor Anywhere agent, you must have Python 2.7 installed.

Windows
  • Microsoft Windows Server 2008 Standard
  • Microsoft Windows Server 2008 Datacenter
  • Microsoft Windows Server 2008 Enterprise
  • Microsoft Windows Server 2012 Standard
  • Microsoft Windows Server 2012 Datacenter
  • Microsoft Windows Server 2012 Enterprise
  • Microsoft Windows Server 2008 R2 Standard
  • Microsoft Windows Server 2008 R2 Datacenter
  • Microsoft Windows Server 2008 R2 Enterprise
  • Microsoft Windows Server 2012 R2 Standard
  • Microsoft Windows Server 2012 R2 Datacenter
  • Microsoft Windows Server 2012 R2 Enterprise
  • Microsoft Windows Server 2008 R2 Standard
  • Microsoft Windows Server 2008 R2 Datacenter
  • Microsoft Windows Server 2008 R2 Enterprise
  • Microsoft Windows Web Server 2008 R2
  • Microsoft Windows Server 2012 R2 Foundation
  • Microsoft Windows Server 2016 Datacenter
  • Microsoft Windows Server 2016 Standard
  • Microsoft Windows Server 2016 Essentials
  • Microsoft Windows 7 Professional
  • Microsoft Windows Server 2019 Datacenter
  • Microsoft Windows Server 2019 Standard
  • Microsoft Windows Server 2019 Enterprise

For Windows users, PowerShell 3 must be installed.

For Windows 2012 users, when you install the Armor Agent, the corresponding Trend Micro agent may cause your system to reboot. Trend Micro is currently researching this issue.